PingOne Platform APIs - Early Access

Test Authorization Condition

 

POST {{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}

The POST /environments/{{envID}}/authorizationConditions/{{authConditionsID}}` request tests the authorization condition specified by its ID in the request URL.

Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/vnd.pingidentity.authorize.test+json

Body

raw ( application/vnd.pingidentity.authorize.test+json )

{
    "parameters": [
        {
            "key":"Request.AccountNo",
            "value":"Customer2987"
        }
    ],
    "userContext": {
        "user": {
            "id": "{{userID}}"
        }
    },
    "overrides" : [
        {
            "type":"ATTRIBUTE",
            "value":{
                "id": "{{authAttributeID}}",
                "override": "true"

            }
        }
    ]
}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}' \
--header 'Content-Type: application/vnd.pingidentity.authorize.test+json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
    "parameters": [
        {
            "key":"Request.AccountNo",
            "value":"Customer2987"
        }
    ],
    "userContext": {
        "user": {
            "id": "{{userID}}"
        }
    },
    "overrides" : [
        {
            "type":"ATTRIBUTE",
            "value":{
                "id": "{{authAttributeID}}",
                "override": "true"

            }
        }
    ]
}'
var options = new RestClientOptions("{{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/vnd.pingidentity.authorize.test+json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"    ""parameters"": [" + "\n" +
@"        {" + "\n" +
@"            ""key"":""Request.AccountNo""," + "\n" +
@"            ""value"":""Customer2987""" + "\n" +
@"        }" + "\n" +
@"    ]," + "\n" +
@"    ""userContext"": {" + "\n" +
@"        ""user"": {" + "\n" +
@"            ""id"": ""{{userID}}""" + "\n" +
@"        }" + "\n" +
@"    }," + "\n" +
@"    ""overrides"" : [" + "\n" +
@"        {" + "\n" +
@"            ""type"":""ATTRIBUTE""," + "\n" +
@"            ""value"":{" + "\n" +
@"                ""id"": ""{{authAttributeID}}""," + "\n" +
@"                ""override"": ""true""" + "\n" +
@"" + "\n" +
@"            }" + "\n" +
@"        }" + "\n" +
@"    ]" + "\n" +
@"}" + "\n" +
@"" + "\n" +
@"";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}"
  method := "POST"

  payload := strings.NewReader(`{
    "parameters": [
        {
            "key":"Request.AccountNo",
            "value":"Customer2987"
        }
    ],
    "userContext": {
        "user": {
            "id": "{{userID}}"
        }
    },
    "overrides" : [
        {
            "type":"ATTRIBUTE",
            "value":{
                "id": "{{authAttributeID}}",
                "override": "true"

            }
        }
    ]
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/vnd.pingidentity.authorize.test+json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
POST /environments/{{envID}}/authorizationConditions/{{authConditionsID}} HTTP/1.1
Host: {{apiPath}}
Content-Type: application/vnd.pingidentity.authorize.test+json
Authorization: Bearer {{accessToken}}

{
    "parameters": [
        {
            "key":"Request.AccountNo",
            "value":"Customer2987"
        }
    ],
    "userContext": {
        "user": {
            "id": "{{userID}}"
        }
    },
    "overrides" : [
        {
            "type":"ATTRIBUTE",
            "value":{
                "id": "{{authAttributeID}}",
                "override": "true"

            }
        }
    ]
}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/vnd.pingidentity.authorize.test+json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"parameters\": [\n        {\n            \"key\":\"Request.AccountNo\",\n            \"value\":\"Customer2987\"\n        }\n    ],\n    \"userContext\": {\n        \"user\": {\n            \"id\": \"{{userID}}\"\n        }\n    },\n    \"overrides\" : [\n        {\n            \"type\":\"ATTRIBUTE\",\n            \"value\":{\n                \"id\": \"{{authAttributeID}}\",\n                \"override\": \"true\"\n\n            }\n        }\n    ]\n}\n\n");
Request request = new Request.Builder()
  .url("{{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}")
  .method("POST", body)
  .addHeader("Content-Type", "application/vnd.pingidentity.authorize.test+json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/vnd.pingidentity.authorize.test+json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "parameters": [
      {
        "key": "Request.AccountNo",
        "value": "Customer2987"
      }
    ],
    "userContext": {
      "user": {
        "id": "{{userID}}"
      }
    },
    "overrides": [
      {
        "type": "ATTRIBUTE",
        "value": {
          "id": "{{authAttributeID}}",
          "override": "true"
        }
      }
    ]
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}',
  'headers': {
    'Content-Type': 'application/vnd.pingidentity.authorize.test+json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "parameters": [
      {
        "key": "Request.AccountNo",
        "value": "Customer2987"
      }
    ],
    "userContext": {
      "user": {
        "id": "{{userID}}"
      }
    },
    "overrides": [
      {
        "type": "ATTRIBUTE",
        "value": {
          "id": "{{authAttributeID}}",
          "override": "true"
        }
      }
    ]
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests
import json

url = "{{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}"

payload = json.dumps({
  "parameters": [
    {
      "key": "Request.AccountNo",
      "value": "Customer2987"
    }
  ],
  "userContext": {
    "user": {
      "id": "{{userID}}"
    }
  },
  "overrides": [
    {
      "type": "ATTRIBUTE",
      "value": {
        "id": "{{authAttributeID}}",
        "override": "true"
      }
    }
  ]
})
headers = {
  'Content-Type': 'application/vnd.pingidentity.authorize.test+json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}');
$request->setMethod(HTTP_Request2::METHOD_POST);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/vnd.pingidentity.authorize.test+json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n    "parameters": [\n        {\n            "key":"Request.AccountNo",\n            "value":"Customer2987"\n        }\n    ],\n    "userContext": {\n        "user": {\n            "id": "{{userID}}"\n        }\n    },\n    "overrides" : [\n        {\n            "type":"ATTRIBUTE",\n            "value":{\n                "id": "{{authAttributeID}}",\n                "override": "true"\n\n            }\n        }\n    ]\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/vnd.pingidentity.authorize.test+json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "parameters": [
    {
      "key": "Request.AccountNo",
      "value": "Customer2987"
    }
  ],
  "userContext": {
    "user": {
      "id": "{{userID}}"
    }
  },
  "overrides": [
    {
      "type": "ATTRIBUTE",
      "value": {
        "id": "{{authAttributeID}}",
        "override": "true"
      }
    }
  ]
})

response = http.request(request)
puts response.read_body
let parameters = "{\n    \"parameters\": [\n        {\n            \"key\":\"Request.AccountNo\",\n            \"value\":\"Customer2987\"\n        }\n    ],\n    \"userContext\": {\n        \"user\": {\n            \"id\": \"{{userID}}\"\n        }\n    },\n    \"overrides\" : [\n        {\n            \"type\":\"ATTRIBUTE\",\n            \"value\":{\n                \"id\": \"{{authAttributeID}}\",\n                \"override\": \"true\"\n\n            }\n        }\n    ]\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/environments/{{envID}}/authorizationConditions/{{authConditionsID}}")!,timeoutInterval: Double.infinity)
request.addValue("application/vnd.pingidentity.authorize.test+json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "POST"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
  "elapsedMicroseconds": 493,
  "request": {
    "parameters": [
      {
        "key": "Request.AccountNo",
        "value": "Customer2987"
      }
    ],
    "userContext": {
      "user": {
        "id": "2f560e0d-7fd6-4a88-a21d-0df367f76ba0"
      }
    },
    "overrides": [
      {
        "type": "ATTRIBUTE",
        "value": {
          "id": "701cdf1d-ef13-4bcb-92ce-80a01eb6ff85",
          "override": "abc"
        }
      }
    ]
  },
  "authorized": false,
  "status": {
    "code": "OKAY",
    "messages": ""
  },
  "result": {
    "value": "false",
    "type": "BOOLEAN"
  }
}